std::extents::index-cast(3)

NAME
std::extents::index-cast - std::extents::index-cast

Synopsis
   template< class OtherIndexType > (since C++23)
   static constexpr auto /*index-cast*/( OtherIndexType&& i ) (exposition only*)
   noexcept;
   Casts the index i in type OtherIndexType into certain integral type. It is
   equivalent to:
     * return i;, if OtherIndexType is an integral type other than bool and
     * return static_cast<index_type>(i); otherwise.

Parameters
   i - the index to be cast

Return value
   Cast index.

Notes
    This section is incomplete

Example
    This section is incomplete
    Reason: no example

See also
    This section is incomplete

Categories:
     * Todo without reason
     * Todo no example